Subject: Re: bug#31315: wrong font encoding for fallback font

From: Werner LEMBERG <[email-masked]>
Date: Wed, 02 May 2018 09:27:43 +0200 (CEST)

> To a certain extent it is valid to assume that a user of GB18030
> expects Chinese glyph representation forms for characters in the CJK
> range.  However, since full Unicode is supported, this assumption is
> rather weak.
>
> The X11 interface is too old actually to handle GB18030 correctly.

Oops, please ignore this sentence, which I forgot to delete.

> For example, on my GNU/Linux box xft offers the following:
>
>   -adobe-noto sans cjk jp thin-light-r-normal--0-0-0-0-p-0-gb18030.2000-0
>
> As the `jp' in the name indicates this font contains Japanese glyph
> representation forms.  Since `Noto Sans CJK' provides all CJK glyphs
> in the BMP, xft happily tags it with GB18030...

    Werner